import MainBase from "../libs/new_wx/MainBase";
import getMusicUrl, { sendLastData } from "./getMusicUrl";

class Main extends MainBase {
}


window['Main'] = Main;
egret.runEgret({
    renderMode: window['renderMode'], audioType: 0, calculateCanvasScaleFactor: (context: any) => {
        const backingStore = context.backingStorePixelRatio ||
            context.webkitBackingStorePixelRatio ||
            context.mozBackingStorePixelRatio ||
            context.msBackingStorePixelRatio ||
            context.oBackingStorePixelRatio ||
            context.backingStorePixelRatio || 1;
        return (window.devicePixelRatio || 1) / backingStore;
    }
});

getMusicUrl();
sendLastData();